#include "itext.h"
#include "xtext.h"
#include "xjp.h"

#if HAVE_LIBIMLIB

#include <X11/extensions/shape.h>
#include <Imlib.h>

int xtextImlibPasteImage(	ImlibData *id,
				ImlibImage *im,
				Window win,
				int xpos,
				int ypos	)
{
	int w,h;

	if( im == NULL ) return -1;

	w = im->rgb_width; h = im->rgb_height;

	Imlib_paste_image(id,im,win,xpos,ypos,w,h);


	return h;
}

ImlibImage * xtextImlibImage(	Display *disp,
				ImlibData *id,
				ImlibImage **im,
				char *filename	)
{

	/*
	int w,h;
	*/

	if((*im = Imlib_load_image(id,filename)) == NULL){
		fprintf(stderr,"Error: im null xtext_f18.c\n");
		return NULL;
	}

	/*
	if( im->rgb_width > width ){
		w = width;
		h = im->rgb_height * ( width / im->rgb_width );
	}else{
		w = im->rgb_width;
		h = im->rgb_height;
	}
	Imlib_render(id,im,w,h);
	*/

	return *im;
}

#endif


